﻿using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApplication2.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        [GridDataSourceAction]
        [HttpPost]
        public ActionResult PostDataMethod1(string Param1, string Param2, string Param3)
        {
            List<Product> products = new List<Product>();

            products.Add(new Product { ProductID = 1, Name = "Product 1", ProductNumber = "12345" });
            products.Add(new Product { ProductID = 2, Name = "Product 2", ProductNumber = "12346" });
            products.Add(new Product { ProductID = 3, Name = "Product 3", ProductNumber = "12347" });
            products.Add(new Product { ProductID = 4, Name = "Product 4", ProductNumber = "12348" });
            products.Add(new Product { ProductID = 5, Name = "Product 5", ProductNumber = "12349" });

            return View(products.AsQueryable());
        }

        [GridDataSourceAction]
        [HttpPost]
        public ActionResult PostDataMethod2(string Param1, string Param2, string Param3)
        {
            List<Product> products = new List<Product>();

            products.Add(new Product { ProductID = 1, Name = "Product 1", ProductNumber = "12345" });
            products.Add(new Product { ProductID = 2, Name = "Product 2", ProductNumber = "12346" });
            products.Add(new Product { ProductID = 3, Name = "Product 3", ProductNumber = "12347" });
            products.Add(new Product { ProductID = 4, Name = "Product 4", ProductNumber = "12348" });
            products.Add(new Product { ProductID = 5, Name = "Product 5", ProductNumber = "12349" });

            return View(products.AsQueryable());
        }
        [GridDataSourceAction]
        [HttpPost]
        public ActionResult PostDataMethod3(Product Param1, string Param2, string Param3)
        {
            List<Product> products = new List<Product>();

            products.Add(new Product { ProductID = 1, Name = "Product 1", ProductNumber = "12345" });
            products.Add(new Product { ProductID = 2, Name = "Product 2", ProductNumber = "12346" });
            products.Add(new Product { ProductID = 3, Name = "Product 3", ProductNumber = "12347" });
            products.Add(new Product { ProductID = 4, Name = "Product 4", ProductNumber = "12348" });
            products.Add(new Product { ProductID = 5, Name = "Product 5", ProductNumber = "12349" });

            return View(products.AsQueryable());
        }

        public class Product
        {
            public int ProductID { get; set; }
            public string Name { get; set; }
            public string ProductNumber { get; set; }

            public List<ProductLocations> Locations { get; set; }
        }

        public class ProductLocations
        {
            public string Address { get; set; }
        }


    }
}